-- (c) Copyright 1995-2016 Xilinx, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of Xilinx, Inc. and is protected under U.S. and
-- international copyright and other intellectual property
-- laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- Xilinx, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) Xilinx shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or Xilinx had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- Xilinx products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of Xilinx products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES.
-- 
-- DO NOT MODIFY THIS FILE.

-- IP VLNV: enclustra:clustra:en_udc_axi_2d_dvi_xil_x7_enc_eval:1.0
-- IP Revision: 1601041338

-- The following code must appear in the VHDL architecture header.

------------- Begin Cut here for COMPONENT Declaration ------ COMP_TAG
COMPONENT mars_zx3_pm3_en_udc_axi_2d_dvi_xil_x7_enc_eval_0_0
  PORT (
    Clk : IN STD_LOGIC;
    Rst : IN STD_LOGIC;
    DviClk_p : OUT STD_LOGIC;
    DviClk_n : OUT STD_LOGIC;
    DviData_p : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    DviData_n : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    Disp_Ena : OUT STD_LOGIC;
    S_AXI_ACLK : IN STD_LOGIC;
    S_AXI_ARESETN : IN STD_LOGIC;
    S_AXI_AWADDR : IN STD_LOGIC_VECTOR(9 DOWNTO 0);
    S_AXI_AWVALID : IN STD_LOGIC;
    S_AXI_WDATA : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
    S_AXI_WSTRB : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
    S_AXI_WVALID : IN STD_LOGIC;
    S_AXI_BREADY : IN STD_LOGIC;
    S_AXI_ARADDR : IN STD_LOGIC_VECTOR(9 DOWNTO 0);
    S_AXI_ARVALID : IN STD_LOGIC;
    S_AXI_RREADY : IN STD_LOGIC;
    S_AXI_ARREADY : OUT STD_LOGIC;
    S_AXI_RDATA : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    S_AXI_RRESP : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    S_AXI_RVALID : OUT STD_LOGIC;
    S_AXI_WREADY : OUT STD_LOGIC;
    S_AXI_BRESP : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    S_AXI_BVALID : OUT STD_LOGIC;
    S_AXI_AWREADY : OUT STD_LOGIC;
    Irpt_N : OUT STD_LOGIC;
    M_AXI_ACLK : IN STD_LOGIC;
    M_AXI_ARESETN : IN STD_LOGIC;
    M_AXI_AWADDR : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    M_AXI_AWVALID : OUT STD_LOGIC;
    M_AXI_AWREADY : IN STD_LOGIC;
    M_AXI_AWLEN : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    M_AXI_AWSIZE : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    M_AXI_AWBURST : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    M_AXI_AWLOCK : OUT STD_LOGIC;
    M_AXI_AWCACHE : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    M_AXI_AWPROT : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    M_AXI_WDATA : OUT STD_LOGIC_VECTOR(63 DOWNTO 0);
    M_AXI_WSTRB : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    M_AXI_WVALID : OUT STD_LOGIC;
    M_AXI_WREADY : IN STD_LOGIC;
    M_AXI_WLAST : OUT STD_LOGIC;
    M_AXI_BRESP : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
    M_AXI_BVALID : IN STD_LOGIC;
    M_AXI_BREADY : OUT STD_LOGIC;
    M_AXI_ARADDR : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    M_AXI_ARVALID : OUT STD_LOGIC;
    M_AXI_ARREADY : IN STD_LOGIC;
    M_AXI_ARLEN : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    M_AXI_ARSIZE : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    M_AXI_ARBURST : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    M_AXI_ARLOCK : OUT STD_LOGIC;
    M_AXI_ARCACHE : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    M_AXI_ARPROT : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    M_AXI_RDATA : IN STD_LOGIC_VECTOR(63 DOWNTO 0);
    M_AXI_RVALID : IN STD_LOGIC;
    M_AXI_RREADY : OUT STD_LOGIC;
    M_AXI_RRESP : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
    M_AXI_RLAST : IN STD_LOGIC;
    M2_AXI_ACLK : IN STD_LOGIC;
    M2_AXI_ARESETN : IN STD_LOGIC;
    M2_AXI_AWADDR : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    M2_AXI_AWVALID : OUT STD_LOGIC;
    M2_AXI_AWREADY : IN STD_LOGIC;
    M2_AXI_AWLEN : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    M2_AXI_AWSIZE : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    M2_AXI_AWBURST : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    M2_AXI_AWLOCK : OUT STD_LOGIC;
    M2_AXI_AWCACHE : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    M2_AXI_AWPROT : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    M2_AXI_WDATA : OUT STD_LOGIC_VECTOR(63 DOWNTO 0);
    M2_AXI_WSTRB : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    M2_AXI_WVALID : OUT STD_LOGIC;
    M2_AXI_WREADY : IN STD_LOGIC;
    M2_AXI_WLAST : OUT STD_LOGIC;
    M2_AXI_BRESP : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
    M2_AXI_BVALID : IN STD_LOGIC;
    M2_AXI_BREADY : OUT STD_LOGIC;
    M2_AXI_ARADDR : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    M2_AXI_ARVALID : OUT STD_LOGIC;
    M2_AXI_ARREADY : IN STD_LOGIC;
    M2_AXI_ARLEN : OUT STD_LOGIC_VECTOR(7 DOWNTO 0);
    M2_AXI_ARSIZE : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    M2_AXI_ARBURST : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    M2_AXI_ARLOCK : OUT STD_LOGIC;
    M2_AXI_ARCACHE : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    M2_AXI_ARPROT : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    M2_AXI_RDATA : IN STD_LOGIC_VECTOR(63 DOWNTO 0);
    M2_AXI_RVALID : IN STD_LOGIC;
    M2_AXI_RREADY : OUT STD_LOGIC;
    M2_AXI_RRESP : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
    M2_AXI_RLAST : IN STD_LOGIC
  );
END COMPONENT;
-- COMP_TAG_END ------ End COMPONENT Declaration ------------

-- The following code must appear in the VHDL architecture
-- body. Substitute your own instance name and net names.

------------- Begin Cut here for INSTANTIATION Template ----- INST_TAG
your_instance_name : mars_zx3_pm3_en_udc_axi_2d_dvi_xil_x7_enc_eval_0_0
  PORT MAP (
    Clk => Clk,
    Rst => Rst,
    DviClk_p => DviClk_p,
    DviClk_n => DviClk_n,
    DviData_p => DviData_p,
    DviData_n => DviData_n,
    Disp_Ena => Disp_Ena,
    S_AXI_ACLK => S_AXI_ACLK,
    S_AXI_ARESETN => S_AXI_ARESETN,
    S_AXI_AWADDR => S_AXI_AWADDR,
    S_AXI_AWVALID => S_AXI_AWVALID,
    S_AXI_WDATA => S_AXI_WDATA,
    S_AXI_WSTRB => S_AXI_WSTRB,
    S_AXI_WVALID => S_AXI_WVALID,
    S_AXI_BREADY => S_AXI_BREADY,
    S_AXI_ARADDR => S_AXI_ARADDR,
    S_AXI_ARVALID => S_AXI_ARVALID,
    S_AXI_RREADY => S_AXI_RREADY,
    S_AXI_ARREADY => S_AXI_ARREADY,
    S_AXI_RDATA => S_AXI_RDATA,
    S_AXI_RRESP => S_AXI_RRESP,
    S_AXI_RVALID => S_AXI_RVALID,
    S_AXI_WREADY => S_AXI_WREADY,
    S_AXI_BRESP => S_AXI_BRESP,
    S_AXI_BVALID => S_AXI_BVALID,
    S_AXI_AWREADY => S_AXI_AWREADY,
    Irpt_N => Irpt_N,
    M_AXI_ACLK => M_AXI_ACLK,
    M_AXI_ARESETN => M_AXI_ARESETN,
    M_AXI_AWADDR => M_AXI_AWADDR,
    M_AXI_AWVALID => M_AXI_AWVALID,
    M_AXI_AWREADY => M_AXI_AWREADY,
    M_AXI_AWLEN => M_AXI_AWLEN,
    M_AXI_AWSIZE => M_AXI_AWSIZE,
    M_AXI_AWBURST => M_AXI_AWBURST,
    M_AXI_AWLOCK => M_AXI_AWLOCK,
    M_AXI_AWCACHE => M_AXI_AWCACHE,
    M_AXI_AWPROT => M_AXI_AWPROT,
    M_AXI_WDATA => M_AXI_WDATA,
    M_AXI_WSTRB => M_AXI_WSTRB,
    M_AXI_WVALID => M_AXI_WVALID,
    M_AXI_WREADY => M_AXI_WREADY,
    M_AXI_WLAST => M_AXI_WLAST,
    M_AXI_BRESP => M_AXI_BRESP,
    M_AXI_BVALID => M_AXI_BVALID,
    M_AXI_BREADY => M_AXI_BREADY,
    M_AXI_ARADDR => M_AXI_ARADDR,
    M_AXI_ARVALID => M_AXI_ARVALID,
    M_AXI_ARREADY => M_AXI_ARREADY,
    M_AXI_ARLEN => M_AXI_ARLEN,
    M_AXI_ARSIZE => M_AXI_ARSIZE,
    M_AXI_ARBURST => M_AXI_ARBURST,
    M_AXI_ARLOCK => M_AXI_ARLOCK,
    M_AXI_ARCACHE => M_AXI_ARCACHE,
    M_AXI_ARPROT => M_AXI_ARPROT,
    M_AXI_RDATA => M_AXI_RDATA,
    M_AXI_RVALID => M_AXI_RVALID,
    M_AXI_RREADY => M_AXI_RREADY,
    M_AXI_RRESP => M_AXI_RRESP,
    M_AXI_RLAST => M_AXI_RLAST,
    M2_AXI_ACLK => M2_AXI_ACLK,
    M2_AXI_ARESETN => M2_AXI_ARESETN,
    M2_AXI_AWADDR => M2_AXI_AWADDR,
    M2_AXI_AWVALID => M2_AXI_AWVALID,
    M2_AXI_AWREADY => M2_AXI_AWREADY,
    M2_AXI_AWLEN => M2_AXI_AWLEN,
    M2_AXI_AWSIZE => M2_AXI_AWSIZE,
    M2_AXI_AWBURST => M2_AXI_AWBURST,
    M2_AXI_AWLOCK => M2_AXI_AWLOCK,
    M2_AXI_AWCACHE => M2_AXI_AWCACHE,
    M2_AXI_AWPROT => M2_AXI_AWPROT,
    M2_AXI_WDATA => M2_AXI_WDATA,
    M2_AXI_WSTRB => M2_AXI_WSTRB,
    M2_AXI_WVALID => M2_AXI_WVALID,
    M2_AXI_WREADY => M2_AXI_WREADY,
    M2_AXI_WLAST => M2_AXI_WLAST,
    M2_AXI_BRESP => M2_AXI_BRESP,
    M2_AXI_BVALID => M2_AXI_BVALID,
    M2_AXI_BREADY => M2_AXI_BREADY,
    M2_AXI_ARADDR => M2_AXI_ARADDR,
    M2_AXI_ARVALID => M2_AXI_ARVALID,
    M2_AXI_ARREADY => M2_AXI_ARREADY,
    M2_AXI_ARLEN => M2_AXI_ARLEN,
    M2_AXI_ARSIZE => M2_AXI_ARSIZE,
    M2_AXI_ARBURST => M2_AXI_ARBURST,
    M2_AXI_ARLOCK => M2_AXI_ARLOCK,
    M2_AXI_ARCACHE => M2_AXI_ARCACHE,
    M2_AXI_ARPROT => M2_AXI_ARPROT,
    M2_AXI_RDATA => M2_AXI_RDATA,
    M2_AXI_RVALID => M2_AXI_RVALID,
    M2_AXI_RREADY => M2_AXI_RREADY,
    M2_AXI_RRESP => M2_AXI_RRESP,
    M2_AXI_RLAST => M2_AXI_RLAST
  );
-- INST_TAG_END ------ End INSTANTIATION Template ---------

